Description

Supportanfrage

I want to play a recorded video stream in adtf3. I use a dat-file which was recorded in adtf2.

After following the example "demo_adtf2_video_decompressor_filter_session", I still get an error and the "Demo Qt Video Display"

shows 'No valid video received yet'.

The error log in the console:

adtf> rl 5

2020-04-28 15:49:13 [WARNING]: QWidget::setLayout: Attempting to set QLayout "" on cDockedWindow "

", which already has a layout [<na>:0]

2020-04-28 15:49:13 [WARNING]: QWidget::setLayout: Attempting to set QLayout "" on cDockedWindow "

", which already has a layout [<na>:0]

2020-04-28 15:49:13 [WARNING]: QWidget::setLayout: Attempting to set QLayout "" on cDockedWindow "

", which already has a layout [<na>:0]

2020-04-28 15:49:13 [WARNING]: error occured in 'unnamed_sample_stream' (category: 'stream_error')

: Result code '-16 '(ERR_NOT_IMPL) - Codec jpeg not implemented [File: s:\cs\add75b\1\source\src\e

xamples\src\adtf\deserializer\adtf2_video_decompressor_filter\demo_video_decompressor_filter.cpp] 

[Line: 170] [Func: adtf_file::adtf2::compressed_video::cDemoVideoDecompressorFilter::AcceptType]

Stream type is not accepted by reader. [File: s:\cs\add75b\1\source\src\libraries\streaming3\src\s

amplereader.cpp] [Line: 239] [Func: adtf::streaming::private_implementations::cSampleReader::Accep

tType]

 [File: s:\cs\add75b\1\source\src\libraries\streaming3\src\samplereader.cpp] [Line: 211] [Func: ad

tf::streaming::private_implementations::cSampleReader::ProcessStreamItem] [error_handling.cpp(62)]

note: Codec jpeg not implemented    

Any help from your side, how to get this to work?

Lösung

the situation is exactly as the error messages says, there is no jpeg codec implemented.

As the decompression filter says, only the rice codec is implemented:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_demo_adtf2_video_decompressor_filter.html

Feel free to extend regarding your needs, the filter comes as example with source code.

And the "old" compression toolbox sources are also open (as each un-migarted part of ADTF 2.x universe):

https://git.digitalwerk.net/adtf2_open_source/adtf2_video_compression_toolbox

Here you can find a base for extending the support and "translate" to ADTF 3.x.

You must know, there is no support for compression yet in ADTF 3.x (thanks to customer forum), we are working on a new

GStreamer possibility (Prototype see https://git.digitalwerk.net/adtf3_open_source/adtf3_video_toolbox) integrated in core or as open
source addon, not defined yet.

But the "old" Video Compression is EOL and we only provide a quick solution for playback and IFHD support as you can see.

So please extend by yourself or make a order to us or anyone else if required.

Note:

For a common (draft) overview please also have a look here:

https://support.digitalwerk.net/adtf/v3/keytopics/index.html

History

#1 - 2020-04-30 09:08 - hidden

- Status changed from New to Customer Feedback Required

- Private changed from Yes to No

- Topic set to ADTF::Common

- Resolution set to Not Supported Scope

Hi Samer,

the situation is exactly as the error messages says, there is no jpeg codec implemented.

As the decompression filter says, only the rice codec is implemented:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_demo_adtf2_video_decompressor_filter.html

Feel free to extend regarding your needs, the filter comes as example with source code.

And the "old" compression toolbox sources are also open (as each un-migarted part of ADTF 2.x universe):

https://git.digitalwerk.net/adtf2_open_source/adtf2_video_compression_toolbox

Here you can find a base for extending the support and "translate" to ADTF 3.x.

You must know, there is no support for compression yet in ADTF 3.x (thanks to customer forum), we are working on a new GStreamer possibility

(Prototype see https://git.digitalwerk.net/adtf3_open_source/adtf3_video_toolbox) integrated in core or as open source addon, not defined yet.

But the "old" Video Compression is EOL and we only provide a quick solution for playback and IFHD support as you can see.

So please extend by yourself or make a order to us or anyone else if required.

Note:

For a common (draft) overview please also have a look here:

https://support.digitalwerk.net/adtf/v3/keytopics/index.html

#2 - 2020-05-07 14:28 - hidden

ok thanks for the information!

we will have to organize and prioritize this internally.

#3 - 2020-05-07 16:05 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#6 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed

#7 - 2021-01-13 20:44 - hidden

- Customer set to Car.SW Org.

#8 - 2021-07-26 13:26 - hidden

- Customer changed from Car.SW Org. to CARIAD
